      program calpianiaWmm
C                                                      Aug 2023
C WU, WL, WE from 15-min UPC files
	DIMENSION IM(12)
	CHARACTER*1 qs
      CHARACTER*2 AMN,ADY
	CHARACTER*4 AYEAR
	DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
C
	qs='q'
C
	WRITE(*,*)' ENTER YEAR OF INPUT FILE=	'
	read(*,*) iYEAR
	iyr=iyear-iyear/100*100
	z1=iyear/4.0
      jz=int(z1)*4

      IF(jz.EQ.iyear) THEN
               IM(2)=29
	dnr=366.
	ndnr=366
        ELSE
                IM(2)=28
	  	dnr=365.
	ndnr=365
	       ENDIF
	        call blet4(iyear,AYEAR)
C
    1	WRITE(*,*)' ENTER MN OF INPUT FILE=	'
	read(*,*) imn
 	call blet2(imn,AMN)
C
       nmdy=im(imn)
	if (imn.eq.8) nmdy=16
	DO idy=1,nmdy
	call blet2(idy,ADY)
C
	call subpianiaWmm1(qs,AYEAR,AMN,ADY)
	ENDDO
	GOTO 1
	pause ' '
	STOP
	END